org.yaml.snakeyaml.emitter

## Class ScalarAnalysis

- java.lang.Object
- - org.yaml.snakeyaml.emitter.ScalarAnalysis

    public final class ScalarAnalysis
    extends Object

Accumulate information to choose the scalar style

### Constructor Summary

Constructors
Constructor and Description
`ScalarAnalysis(String scalar, boolean empty, boolean multiline, boolean allowFlowPlain, boolean allowBlockPlain, boolean allowSingleQuoted, boolean allowBlock)`

### Method Summary

Methods
`String` `getScalar()`
`boolean` `isAllowBlock()`
`boolean` `isAllowBlockPlain()`
`boolean` `isAllowFlowPlain()`
`boolean` `isAllowSingleQuoted()`
`boolean` `isEmpty()`
`boolean` `isMultiline()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ScalarAnalysis

    public ScalarAnalysis(String scalar,
                  boolean empty,
                  boolean multiline,
                  boolean allowFlowPlain,
                  boolean allowBlockPlain,
                  boolean allowSingleQuoted,
                  boolean allowBlock)

### Method Detail

#### getScalar

    public String getScalar()

#### isEmpty

    public boolean isEmpty()

#### isMultiline

    public boolean isMultiline()

#### isAllowFlowPlain

    public boolean isAllowFlowPlain()

#### isAllowBlockPlain

    public boolean isAllowBlockPlain()

#### isAllowSingleQuoted

    public boolean isAllowSingleQuoted()

#### isAllowBlock

    public boolean isAllowBlock()